part of '../auth.dart';

@freezed
class CheckPhone with _$CheckPhone {
  const factory CheckPhone({
    required CheckPhoneStatus status,
    required String message,
    required String phoneNumber,
  }) = _CheckPhone;

  factory CheckPhone.empty() => CheckPhone(
    status: CheckPhoneStatus.unknown,
    message: '',
    phoneNumber: '',
  );
}
